Bug 1459262 - When adding Disk with reconfiguration on vmware, after 16th Disk, a new controller is created hardcoded to Parallel Type
When adding Disk with reconfiguration on vmware, after 16th Disk, a new contr...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.7.0
Unspecified Unspecified
medium Severity high
: GA
: 5.8.1
Assigned To: Adam Grare
luke couzens
vm:reconfigure:vmware
: ZStream
Depends On: 1445874
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-06 12:29 EDT by Satoe Imaishi
Modified: 2017-08-02 13:26 EDT (History)
9 users (show)

See Also:
Fixed In Version: 5.8.1.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1445874
Environment:
Last Closed: 2017-08-02 13:26:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: VMware


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1758 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2017-08-02 17:23:43 EDT

  None (edit)
Comment 2 CFME Bot 2017-06-06 12:33:13 EDT
New commit detected on ManageIQ/manageiq-gems-pending/fine:
https://github.com/ManageIQ/manageiq-gems-pending/commit/b06c7b2601b7f038bc8a46d2bd2e87d4c6d8ac56

commit b06c7b2601b7f038bc8a46d2bd2e87d4c6d8ac56
Author:     Greg Blomquist <blomquisg@gmail.com>
AuthorDate: Thu May 4 14:19:14 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Jun 6 12:29:46 2017 -0400

    Merge pull request #148 from agrare/bz_1445874_return_vm_hardware
    
    Add method to return VM Hardware
    (cherry picked from commit 6e38517e8be67f5310e19f843a9fb306e0da7d4b)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1459262

 lib/gems/pending/VMwareWebService/MiqVimVm.rb | 29 ++++++++++++++++++---------
 1 file changed, 19 insertions(+), 10 deletions(-)
Comment 3 CFME Bot 2017-06-08 17:28:49 EDT
New commit detected on ManageIQ/manageiq-providers-vmware/fine:
https://github.com/ManageIQ/manageiq-providers-vmware/commit/c54657139c6d621ccf0d166f070ede5822cf5852

commit c54657139c6d621ccf0d166f070ede5822cf5852
Author:     Greg Blomquist <blomquisg@gmail.com>
AuthorDate: Wed May 17 13:03:44 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Jun 8 17:26:32 2017 -0400

    Merge pull request #51 from agrare/bz_1445874_vm_reconfigure_scsi_controller
    
    Lookup SCSI Controller Device Type from Hardware [Depends manageiq-gems-pending/148]
    (cherry picked from commit 774c48510e06c093b9366cd848d9bcecf4a885d1)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1459262

 .../vmware/infra_manager/vm/reconfigure.rb         | 39 ++++++---
 .../vmware/infra_manager/vm/reconfigure_spec.rb    | 92 +++++++++++++++++++---
 2 files changed, 108 insertions(+), 23 deletions(-)
Comment 6 luke couzens 2017-06-27 09:31:38 EDT
Verified in 5.8.1.0
Comment 8 errata-xmlrpc 2017-08-02 13:26:33 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1758

Note You need to log in before you can comment on or make changes to this bug.